Weaken dependency to allow vector 0.9
authorBen Lippmeier <benl@ouroborus.net>
Tue, 4 Oct 2011 02:55:11 +0000 (13:55 +1100)
committerBen Lippmeier <benl@ouroborus.net>
Tue, 4 Oct 2011 02:55:11 +0000 (13:55 +1100)
dph-base/dph-base.cabal
dph-common-vseg/dph-common-vseg.cabal
dph-prim-par/dph-prim-par.cabal
dph-prim-seq/dph-prim-seq.cabal

index e5ce61a..545f6c6 100644 (file)
@@ -48,7 +48,7 @@ Library
         ghc-prim == 0.2.*,
         array    == 0.3.*,
         random   == 1.0.*,
-        vector   >= 0.7 && < 0.9,
+        vector   >= 0.7 && < 1.0,
         pretty   == 1.1.*
 
           
\ No newline at end of file
index ebc08e6..f791ba4 100644 (file)
@@ -50,7 +50,7 @@ Library
         random           == 1.0.*,
         template-haskell == 2.6.*,
         pretty           == 1.1.*,
-        vector           >= 0.7 && < 0.9,
+        vector           >= 0.7 && < 1.0,
         containers       == 0.4.*,
         dph-base         == 0.5.*,
         dph-prim-seq     == 0.5.*
index 70d1896..3d549a7 100644 (file)
@@ -58,7 +58,7 @@ Library
   Build-Depends:  
         base     == 4.4.*,
         random   == 1.0.*,
-        vector   >= 0.7 && < 0.9,
+        vector   >= 0.7 && < 1.0,
         old-time == 1.0.*,
         dph-base == 0.5.*,
         dph-prim-interface == 0.5.*,
index fc482bc..141175e 100644 (file)
@@ -35,6 +35,6 @@ Library
   Build-Depends:  
         base     == 4.4.*,
         random   == 1.0.*,
-        vector   >= 0.7 && < 0.9,
+        vector   >= 0.7 && < 1.0,
         dph-base == 0.5.*,
         dph-prim-interface == 0.5.*